Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.maryanovsky.map.client.actions.iphone
Class PinchMagnifyAction

    java.lang.Object
      com.maryanovsky.map.client.actions.MapAction<HasAllPinchHandlers>
          com.maryanovsky.map.client.actions.iphone.PinchMagnifyAction

All Implemented Interfaces:
  EventHandler, PinchCancelHandler, PinchChangeHandler, PinchEndHandler, PinchStartHandler

    public class PinchMagnifyAction

extends MapAction<HasAllPinchHandlers>
implements PinchStartHandler, PinchChangeHandler, PinchEndHandler, PinchCancelHandler

Magnifies and zooms in/out the map as the user pinches the map widget.

Author:
  Maryanovsky Alexander

Field Summary

Fields inherited from class com.maryanovsky.map.client.actions.MapAction
`isAnimated, mapWidget`

Constructor Summary
`PinchMagnifyAction(MapWidget mapWidget, boolean isAnimated)` Creates a new `PinchMagnifyAction` for the specified map widget, and with optionally animated zoom transition.

Method Summary
`void` | `onPinchCancel(PinchCancelEvent evt)` Invoked when a pinch gesture is cancelled.
`void` | `onPinchChange(PinchChangeEvent evt)` Invoked when a pinch gesture continues.
`void` | `onPinchEnd(PinchEndEvent evt)` Invoked when a pinch gesture ends.
`void` | `onPinchStart(PinchStartEvent evt)` Invoked when a pinch gesture starts.
`HandlerRegistration` | `registerWith(HasAllPinchHandlers pinchSource)` Registers for handling pinch events from the specified source.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PinchMagnifyAction

    public PinchMagnifyAction(MapWidget mapWidget,
                              boolean isAnimated)

  Creates a new `PinchMagnifyAction` for the specified map widget, and with optionally animated zoom transition.

  Parameters:
    `mapWidget` - The target map widget.
    `isAnimated` - Whether the final zoom-adjusting transition is animated.

Method Detail

### registerWith

    public HandlerRegistration registerWith(HasAllPinchHandlers pinchSource)

  Registers for handling pinch events from the specified source.

  Specified by:
    `registerWith` in class `MapAction<HasAllPinchHandlers>`

### onPinchStart

    public void onPinchStart(PinchStartEvent evt)

  Invoked when a pinch gesture starts.

  Specified by:
    `onPinchStart` in interface `PinchStartHandler`

### onPinchChange

    public void onPinchChange(PinchChangeEvent evt)

  Invoked when a pinch gesture continues.

  Specified by:
    `onPinchChange` in interface `PinchChangeHandler`

### onPinchEnd

    public void onPinchEnd(PinchEndEvent evt)

  Invoked when a pinch gesture ends.

  Specified by:
    `onPinchEnd` in interface `PinchEndHandler`

### onPinchCancel

    public void onPinchCancel(PinchCancelEvent evt)

  Invoked when a pinch gesture is cancelled.

  Specified by:
    `onPinchCancel` in interface `PinchCancelHandler`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD